Tomcat 启动不了`帮帮我啊``

为当前最终发行版之前的所有版本提供支持
回复
cinc101
帖子: 1
注册时间: 2008-10-23 19:25
送出感谢: 0
接收感谢: 0

Tomcat 启动不了`帮帮我啊``

#1

帖子 cinc101 » 2008-10-26 0:03

使用./startup.sh启动Tomcat时,显示:

Using CATALINA_BASE: /System/ubuntu/software/apache-tomcat-6.0.18
Using CATALINA_HOME: /System/ubuntu/software/apache-tomcat-6.0.18
Using CATALINA_TMPDIR: /System/ubuntu/software/apache-tomcat-6.0.18/temp
Using JRE_HOME: /usr/lib/jvm/jdk/jdk1.6.0_10/jre


出现这个应该是说环境变量没有问题了吧?
可是无法在浏览器中访问服务器欢迎画面,于是输入./catalina.sh run后,显示:

Using CATALINA_BASE: /System/ubuntu/software/apache-tomcat-6.0.18
Using CATALINA_HOME: /System/ubuntu/software/apache-tomcat-6.0.18
Using CATALINA_TMPDIR: /System/ubuntu/software/apache-tomcat-6.0.18/temp
Using JRE_HOME: /usr/lib/jvm/jdk/jdk1.6.0_10/jre
Exception in thread "main" java.lang.NoClassDefFoundError:
Caused by: java.lang.ClassNotFoundException:
at java.net.URLClassLoader$1.run(URLClassLoader.java:200)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(URLClassLoader.java:188)
at java.lang.ClassLoader.loadClass(ClassLoader.java:307)
at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:301)
at java.lang.ClassLoader.loadClass(ClassLoader.java:252)
at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:320)
Could not find the main class: . Program will exit.


后面的出错信息是怎么回事啊?
我把servlet-api.jar包复制到了jre的lib下,也不行,该怎么弄啊?
谢谢大家了!
回复

回到 “老旧版本支持”